<?php get_header(); ?>

	<?php if (have_posts()) : ?>
	
		<?php $post = $posts[0]; // Thanks Kubrick for this code ?>
		
		<?php if (is_category()) { ?>				
		<h2><?php _e('Archive for','qwilm'); ?> <?php echo single_cat_title(); ?></h2>
		
 	  	<?php } elseif (is_day()) { ?>
		<h2><?php _e('Archive for','qwilm'); ?> <?php the_time('F j, Y'); ?></h2>
		
	 	<?php } elseif (is_month()) { ?>
		<h2><?php _e('Archive for','qwilm'); ?> <?php the_time('F, Y'); ?></h2>

		<?php } elseif (is_year()) { ?>
		<h2><?php _e('Archive for','qwilm'); ?> <?php the_time('Y'); ?></h2>

		<?php } elseif (is_author()) { ?>
		<h2><?php _e('Author Archive','qwilm'); ?></h2>

		<?php } elseif (is_search()) { ?>
		<h2><?php _e('Search Results','qwilm'); ?></h2>

		<?php } ?>
				
		<?php while (have_posts()) : the_post(); ?>

			<div class="post">
				<h2 class="post-titulo" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent link to','qwilm'); ?> <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<p class="postmeta"><?php the_time('F j, Y') ?> <?php _e('at','qwilm'); ?> <?php the_time() ?> &#183; <?php _e('Filed under','qwilm'); ?> <?php the_category(', ') ?><?php edit_post_link(__('Edit','qwilm'), ' &#183; ', ''); ?></p>
				<?php if (is_search()) { ?>
					<?php the_excerpt() ?>
				<?php } else { ?>
					<?php the_content(__('Read the rest of this entry &raquo;','qwilm')); ?>
				<?php } ?>

				<p class="comentarios-link"><?php comments_popup_link(__('Comments','qwilm'), __('Comments (1)','qwilm'), __('Comments (%)','qwilm'), __('commentslink','qwilm'), __('Comments off','qwilm')); ?>
</p>
			</div>
				
		<?php endwhile; ?>

<?php posts_nav_link( ' &#183; ',  __('&laquo; Previous entries','qwilm'), __('Next entries &raquo;','qwilm'), ('') );?>
		
	<?php else : ?>

		<h2><?php _e('Not Found','qwilm'); ?></h2>

		<p><?php _e('Sorry, but no posts matched your criteria.','qwilm'); ?></p>
		
		<h3><?php _e('Search','qwilm'); ?></h3>
		
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
